﻿@infrastructure @bypass-integration @specFlowCodeBehind
#Cannot be tested in .NET Core. Featrue will be removed in v3.5, see #1205
@ignore
Feature: Generate feature file code-behind for SpecFlow v2

Background: 
	Given there is a remote server project
	And the synchronizer is configured to force generating feature file code-behinds

Rule: Code-behind should be generated on pull

@tc:287 @specFlowCodeBehind
Scenario: Local scenario changed by pull
	Given the synchronizer is configured to enable pull
	And there is an existing synchronized usual scenario
	When the Test Case title should be updated to 'Scenario: Updated scenario'
	And the local repository is synchronized with pull
	Then the feature file in the local repository should be updated to include "Updated scenario"
	And the feature file code-behind file should be updated

Rule: Code-behind should be generated on link

@tc:288
Scenario: Scenario is tagged with a Test Case link
	Given there is a feature file in the local repository that should not be synchronized yet
		"""
		Feature: Sample feature

		Scenario: Sample scenario
			When I do something
		"""
	When the local repository is synchronized with push
	Then a new Test Case "Scenario: Sample scenario" should be created in the remote server
	Then a tag "@tc:[id-of-new-test-case]" should be added to the scenario in the local repository
	And the feature file code-behind file should be updated

